{
"((http|HTTP|ldap|LDAP|smtp|SMTP)s?|email|Selenium|snmp|tcp|webcheck)": {
	"^self^": {
		"create_items": {
			".*": {
				"type":	"GAUGE",
				"min":	"0",
				"max":	"U"
			}
		},
		"ignore_items": "size",
		"graph_template_name":	"Nagios Time Response",
		"graph_label":	"time(ms)",
		"graph_items": {
			".*": [
				{
					"LINE2": {
						"color": "random",
						"text": "^item^",
						"cdef": "Multiply by 1000"
					}
				},
				{
					"GPRINT": {
						"text": "Current:",
						"function": "last",
						"cdef": "Multiply by 1000",
						"type": "millis"
					}
				},
				{
					"GPRINT": {
						"text": "Average:",
						"function": "average",
						"cdef": "Multiply by 1000",
						"type": "millis"
					}
				},
				{
					"GPRINT": {
						"text": "Maximum:",
						"function": "max",
						"cdef": "Multiply by 1000",
						"type": "millis"
					}
				}
			]
		}
	}
},
"tsm_sessions_": {
	"^self^": {
		"create_items": {
			".*": {
				"type":	"GAUGE",
				"min":	"0",
				"max":	"U"
			}
		},
		"graph_template_name":	"Nagios TSM Sessions",
		"graph_label":	"sessions",
		"graph_items": {
			".*": [
				{
					"AREA": {
						"color": "random",
						"text": "^item^"
					}
				},
				{
					"GPRINT": {
						"text": "Current:",
						"function": "last",
						"type": "Exact Numbers"
					}
				},
				{
					"GPRINT": {
						"text": "Average:",
						"function": "average",
						"type": "Exact Numbers"
					}
				},
				{
					"GPRINT": {
						"text": "Maximum:",
						"function": "max",
						"type": "Exact Numbers"
					}
				}
			]
		}
	}
},
"_Exchange(_(MBX|CAS|HUB)_|UM)": {
	"^self^": {
		"create_items": {
			".*": {
				"type":	"GAUGE",
				"min":	"0",
				"max":	"U"
			}
		},
		"ignore_items": "eseutil",
		"graph_template_name":	"Nagios Exchange Stats",
		"graph_width": "650",
		"graph_label": "^item^",
		"graph_items": {
			".*": [
				{
					"AREA": {
						"color": "random",
						"text": "^item^"
					}
				},
				{
					"GPRINT": {
						"text": "Current:",
						"function": "last",
						"type": "Exact Numbers"
					}
				},
				{
					"GPRINT": {
						"text": "Average:",
						"function": "average",
						"type": "Exact Numbers"
					}
				},
				{
					"GPRINT": {
						"text": "Maximum:",
						"function": "max",
						"type": "Exact Numbers"
					}
				}
			]
		}
	}
},
"paging_used": {
	"^self^": {
		"create_items": {
			".*": {
				"type":	"GAUGE",
				"min":	"0",
				"max":	"U"
			}
		},
		"graph_template_name":	"Nagios Paging Used",
		"graph_label": "% used",
		"graph_items": {
			"pagefile": [
				{
					"AREA": {
						"color": "random",
						"text": "% paging used"
					}
				},
				{
					"GPRINT": {
						"text": "Current:",
						"function": "last",
						"type": "Percentage"
					}
				},
				{
					"GPRINT": {
						"text": "Average:",
						"function": "average",
						"type": "Percentage"
					}
				},
				{
					"GPRINT": {
						"text": "Maximum:",
						"function": "max",
						"type": "Percentage",
						"eol": ""
					}
				},
				{
					"STACK": {
						"color": "AFECED",
						"cdef": "get idle percent from summing the rest",
						"text": "% left"
					}
				}
			],
			"_pagefile": [
				{
					"GPRINT": {
						"text": "Current:",
						"function": "last",
						"type": "Normal"
					}
				},
				{
					"GPRINT": {
						"text": "Average:",
						"function": "average",
						"type": "Normal"
					}
				},
				{
					"GPRINT": {
						"text": "Maximum:",
						"function": "max",
						"type": "Normal",
						"eol": ""
					}
				}
			]
		}
	}
},
"session_allocation$": {
	"^self^": {
		"create_items": {
			".*": {
				"type":	"GAUGE",
				"min":	"0",
				"max":	"U"
			}
		},
		"graph_template_name":	"Juniper Session Allocation",
		"graph_label": "^item^",
		"graph_items": {
			".*": [
				{
					"AREA": {
						"color": "random",
						"text": "^item^"
					}
				},
				{
					"GPRINT": {
						"text": "Current:",
						"function": "last",
						"type": "Exact Numbers"
					}
				},
				{
					"GPRINT": {
						"text": "Average:",
						"function": "average",
						"type": "Exact Numbers"
					}
				},
				{
					"GPRINT": {
						"text": "Maximum:",
						"function": "max",
						"type": "Exact Numbers"
					}
				}
			]
		}
	}
},
"active_mem": {
	"^self^": {
		"create_items": {
			".*": {
				"type":	"GAUGE",
				"min":	"0",
				"max":	"U"
			}
		},
		"graph_template_name":	"Nagios Active Memory Used",
		"graph_label": "% used",
		"graph_items": {
			".*": [
				{
					"AREA": {
						"color": "random",
						"text": "% active memory used"
					}
				},
				{
					"GPRINT": {
						"text": "Current:",
						"function": "last",
						"type": "Percentage"
					}
				},
				{
					"GPRINT": {
						"text": "Average:",
						"function": "average",
						"type": "Percentage"
					}
				},
				{
					"GPRINT": {
						"text": "Maximum:",
						"function": "max",
						"type": "Percentage",
						"eol": ""
					}
				},
				{	
					"STACK": {
						"color": "AFECED",
						"cdef": "get idle percent from summing the rest",
						"text": "% left"
					}
				}
			]
		}
	}
},
"queue|.*dspace_jvm.*": {
	"^self^": {
		"create_items": {
			".*": {
				"type":	"GAUGE",
				"min":	"0",
				"max":	"U"
			}
		},
		"graph_template_name":	"Generic Exact Numbers",
		"graph_label": "^item^",
		"graph_items": {
			".*": [
				{
					"AREA": {
						"color": "random",
						"text": "^item^"
					}
				},
				{
					"GPRINT": {
						"text": "Current:",
						"function": "last",
						"type": "Exact Numbers"
					}
				},
				{
					"GPRINT": {
						"text": "Average:",
						"function": "average",
						"type": "Exact Numbers"
					}
				},
				{
					"GPRINT": {
						"text": "Maximum:",
						"function": "max",
						"type": "Exact Numbers"
					}
				}
			]
		}
	}
}
}
